Bug 1417537 - when job status is being updated, only failed part of the counter seems to be updated before it finishes
Summary: when job status is being updated, only failed part of the counter seems to be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Adam Ruzicka
QA Contact: Ivan Necas
URL:
Whiteboard: scale_lab
: 1416625 1439029 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 07:18 UTC by Jan Hutař
Modified: 2021-03-11 14:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
what I call "cake graph" in the bug report (65.73 KB, image/png)
2017-01-30 07:20 UTC, Jan Hutař
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18513 0 None None None 2017-02-15 10:04:14 UTC

Description Jan Hutař 2017-01-30 07:18:20 UTC
Description of problem:
When we are running remote execution (ReX) job at scale, even when number of sub-tasks passes, cake graph on a job detail page still shows only red bar.


Version-Release number of selected component (if applicable):
satellite-6.2.6-2.0.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Run a ReX job on 6138 hosts ("Evaluated at: 2017-01-30 00:00:37 +0100")
2. Check the status of the job in cake graph: it shows "2% failed, 98% failing"
3. Check the status on "Hosts" tab. There is:
    3860 in success state
    2133 in pending state
     145 in failed state


Actual results:
Although there is a big bunch of systems passing the ReX command, cake graph only shows these failing. Will attach screenshot.


Expected results:
Cake graph should show also passing sub-tasks even before job finishes.


Additional info:
In my experience, green part of the graph will start growing once job is close to finish.

Comment 1 Jan Hutař 2017-01-30 07:20:27 UTC
Created attachment 1245755 [details]
what I call "cake graph" in the bug report

Comment 3 Adam Ruzicka 2017-02-15 10:04:11 UTC
Created redmine issue http://projects.theforeman.org/issues/18513 from this bug

Comment 4 pm-sat@redhat.com 2017-02-16 15:04:11 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2017-02-16 15:04:14 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2017-03-29 08:04:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18513 has been resolved.

Comment 7 Ivan Necas 2017-04-05 15:08:33 UTC
*** Bug 1439029 has been marked as a duplicate of this bug. ***

Comment 10 Ivan Necas 2017-08-21 08:47:58 UTC
*** Bug 1416625 has been marked as a duplicate of this bug. ***

Comment 11 Ivan Necas 2017-08-23 07:26:53 UTC
Verified as part of https://bugzilla.redhat.com/show_bug.cgi?id=1370154#c10 : there was a change how the graph is generated to load the data directly from the sub-tasks, therefore the updates will happen immediately.

Comment 12 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.